# CSLocalStorage Protocol Reference

# CSLocalStorage

    @objc
    public protocol CSLocalStorage : CSStorageInterface

The `CSLocalStorage` serves as the Objective-C bridging type for `LocalStorage`.

See also

`LocalStorage`

- `fileURL`

  The `NSURL` that points to the store file

  #### Declaration

  Swift

      @objc
      var fileURL: URL { get }

- `migrationMappingProviders`

  An array of `SchemaMappingProvider`s that provides the complete mapping models for custom migrations. This is currently only supported for Swift code.

  #### Declaration

  Swift

      @objc
      var migrationMappingProviders: [Any] { get }

- `localStorageOptions`

  Options that tell the `CSDataStack` how to setup the persistent store

  #### Declaration

  Swift

      @objc
      var localStorageOptions: Int { get }

- `cs_eraseStorageAndWait(metadata:soureModelHint:error:)`

  Called by the `CSDataStack` to perform actual deletion of the store file from disk. Do not call directly! The `sourceModel` argument is a hint for the existing store’s model version. Implementers can use the `sourceModel` to perform necessary store operations. (SQLite stores for example, can convert WAL journaling mode to DELETE before deleting)

  #### Declaration

  Swift

      @objc
      func cs_eraseStorageAndWait(metadata: NSDictionary, soureModelHint: NSManagedObjectModel?, error: NSErrorPointer) -> Bool